package com.uoc.textiller.config;

import com.uoc.textiller.model.Usuari;
import com.uoc.textiller.model.enums.EstatsUsuari;
import com.uoc.textiller.model.enums.RolsUsuari;
import com.uoc.textiller.repository.UsuariRepository;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

/**
 * En aquesta classe definim les accions a dur a terme en l'execució de l'aplicació
 * @author lrodriguezmos@uoc
 */
@Component
public class CommandLineAppStartupRunner implements CommandLineRunner {

    @Autowired
    UsuariRepository usuariRepository;

    @Override
    public void run(String... args) throws Exception {
        
        // Inserim l'usuari admin per defecte si no existeix a la base de dades

        if(usuariRepository.findByNom("admin") == null) {
            Usuari admin = new Usuari();
            admin.setEstat(EstatsUsuari.ACTIU);
            admin.setNom("admin");
            admin.setPassword("$2a$10$Bs4bT2/RwtTbR/bw/pjYCOCph6P1hLJ9ujhmVYa7Dc5B8RMmB9plC");
            admin.setRol(RolsUsuari.ROLE_ADMINISTRADOR);
            usuariRepository.save(admin);        
        }   
    }
}
