package com.uoc.textiller.config;

import com.uoc.textiller.model.Usuari;
import com.uoc.textiller.repository.UsuariRepository;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.core.userdetails.User;
import org.springframework.security.core.userdetails.UserDetails;
import org.springframework.security.core.userdetails.UserDetailsService;
import org.springframework.security.core.userdetails.UsernameNotFoundException;
import org.springframework.security.core.userdetails.User.UserBuilder;
import org.springframework.stereotype.Service;

/**
 * Definició dels mètodes de UserDetailsSerivce (autenticació a Spring Security)
 * @author lrodriguezmos@uoc
 */
@Service
public class UserDetailsServiceImpl implements UserDetailsService{
    
    @Autowired 
    UsuariRepository usuariRepository;

    @Override
    public UserDetails loadUserByUsername(String nom) throws UsernameNotFoundException {

        Usuari usuari = usuariRepository.findByNom(nom);

        UserBuilder userBuilder = null;

        if(usuari != null && usuari.isEnabled()){

            userBuilder = User.withUsername(usuari.getNom());
            userBuilder.password(usuari.getPassword());
            userBuilder.authorities(usuari.getAuthorities());

        }else{

            throw new UsernameNotFoundException("No s'ha trobat l'usuari amb nom: "+nom);
        }

        return userBuilder.build();
    }
}
