package com.uoc.textiller.controller;

import javax.servlet.http.HttpSession;

import com.uoc.textiller.model.Usuari;
import com.uoc.textiller.service.UsuariService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.core.Authentication;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;

/**
 * Controlador per a les pàgines inicials
 * @author lrodriguezmos@uoc
 */
@Controller
public class MainController {

    private static final String USUARI_ATTR = "usuari";
    private static final String INDEX_VIEW = "index";
    private static final String INICI_VIEW = "inici";

    @Autowired
    private UsuariService usuariService;

    //pàgina inicial (login)
    @GetMapping({"/", "/index"})
    public String index() {

        return INDEX_VIEW;
    }
    
    //loginProcessingUrl de SecurityConfig
    @GetMapping("/acces")
    public String acces(Model model) {

        model.addAttribute(USUARI_ATTR, new Usuari());

        return INDEX_VIEW;
    }
    
    //defaultSuccessUrl de SecurityConfig
    @GetMapping("/inici")
    public String inici(Authentication auth, HttpSession session) {

        String nom = auth.getName();

        if(session.getAttribute(USUARI_ATTR) == null) {
            Usuari usuari = usuariService.findByNom(nom);

            session.setAttribute(USUARI_ATTR, usuari);
        }

        return INICI_VIEW;
    }
}
