package com.uoc.textiller.model;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.persistence.UniqueConstraint;

/**
 * Entitat Composicio
 * @author lrodriguezmos@uoc
 */
@Entity
@Table(name = "composicio",
uniqueConstraints = { @UniqueConstraint(columnNames = { "id_material", "id_teixit" }) })
public class Composicio {
    
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    private int percentatge;

    @ManyToOne(optional = false)
    @JoinColumn(name = "id_material")
    private Material material;

    @ManyToOne
    @JoinColumn(name="id_teixit", nullable = false)
    private Teixit teixit;


    public Composicio() {
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public int getPercentatge() {
        return percentatge;
    }

    public void setPercentatge(int percentatge) {
        this.percentatge = percentatge;
    }

    public Material getMaterial() {
        return material;
    }

    public void setMaterial(Material material) {
        this.material = material;
    }

    public Teixit getTeixit() {
        return teixit;
    }

    public void setTeixit(Teixit teixit) {
        this.teixit = teixit;
    }
    
}
