package com.uoc.textiller.model;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.persistence.UniqueConstraint;

/**
 * Entitat relació EscandallFornitura
 * @author lrodriguezmos@uoc
 */
@Entity
@Table(name = "escandall_fornitura",
uniqueConstraints = { @UniqueConstraint(columnNames = { "id_escandall", "id_fornitura" }) })
public class EscandallFornitura {
    
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    @ManyToOne(optional = false)
    @JoinColumn(name = "id_escandall")
    private Escandall escandall;

    @ManyToOne(optional = false)
    @JoinColumn(name = "id_fornitura")
    private Fornitura fornitura;

    @Column(nullable = false)
    private int total;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Escandall getEscandall() {
        return escandall;
    }

    public void setEscandall(Escandall escandall) {
        this.escandall = escandall;
    }

    public Fornitura getFornitura() {
        return fornitura;
    }

    public void setFornitura(Fornitura fornitura) {
        this.fornitura = fornitura;
    }

    public int getTotal() {
        return total;
    }

    public void setTotal(int total) {
        this.total = total;
    }
    
}
