package com.uoc.textiller.model;

import java.math.BigDecimal;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.persistence.UniqueConstraint;

/**
 * Entitat relació EscandallTeixit
 * @author lrodriguezmos@uoc
 */
@Entity
@Table(name = "escandall_teixit",
uniqueConstraints = { @UniqueConstraint(columnNames = { "id_escandall", "id_teixit" }) })
public class EscandallTeixit {
    
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    @ManyToOne(optional = false)
    @JoinColumn(name = "id_escandall")
    private Escandall escandall;

    @ManyToOne(optional = false)
    @JoinColumn(name = "id_teixit")
    private Teixit teixit;

    @Column(nullable = false)
    private BigDecimal total;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Escandall getEscandall() {
        return escandall;
    }

    public void setEscandall(Escandall escandall) {
        this.escandall = escandall;
    }

    public Teixit getTeixit() {
        return teixit;
    }

    public void setTeixit(Teixit teixit) {
        this.teixit = teixit;
    }

    public BigDecimal getTotal() {
        return total;
    }

    public void setTotal(BigDecimal total) {
        this.total = total;
    }
    
}
