package com.uoc.textiller.model;

import java.util.List;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.Size;

/**
 * Entitat Material
 * @author lrodriguezmos@uoc
 */
@Entity
@Table(name = "materials")
public class Material {
    
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    @NotEmpty
    @Size(max = 3, message = "El camp codi no pot tenir més de 3 caràcters")
    @Column(length = 3, nullable = false)
    private String codi;

    @NotEmpty
    @Size(max = 32, message = "El camp nom no pot tenir més de 32 caràcters")
    @Column(length = 32, nullable = false, unique = true)
    private String nom;

    @OneToMany(mappedBy = "material")
    private List<Composicio> composicions;

    public Material() {
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCodi() {
        return codi;
    }

    public void setCodi(String codi) {
        this.codi = codi.toUpperCase().trim();
    }

    public String getNom() {
        return nom;
    }

    public void setNom(String nom) {
        this.nom = nom.trim();
    }

    public List<Composicio> getComposicions() {
        return composicions;
    }

    public void setComposicions(List<Composicio> composicions) {
        this.composicions = composicions;
    }

}
