package com.uoc.textiller.model;

import java.math.BigDecimal;
import java.util.List;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * Entitat Proces
 * @author lrodriguezmos@uoc
 */
@Entity
@Table(name = "processos")
public class Proces {
    
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    @NotEmpty
    @Size(max = 32, message = "El camp nom no pot tenir més de 32 caràcters")
    @Column(length = 32, nullable = false, unique = true)
    private String nom;

    @NotNull(message = "Indica el cost per minut")
    @Column(precision=6, scale=2)
    private BigDecimal cost;

    @OneToMany(mappedBy = "proces")
    private List<EscandallProces> escandalls;

    public Proces() {
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getNom() {
        return nom;
    }

    public void setNom(String nom) {
        this.nom = nom;
    }

    public BigDecimal getCost() {
        return cost;
    }

    public void setCost(BigDecimal cost) {
        this.cost = cost;
    }

    public List<EscandallProces> getEscandalls() {
        return escandalls;
    }

    public void setEscandalls(List<EscandallProces> escandalls) {
        this.escandalls = escandalls;
    }

}
