package com.uoc.textiller.repository;

import java.util.List;

import com.uoc.textiller.model.Escandall;
import com.uoc.textiller.model.Usuari;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

@Repository
public interface EscandallRepository extends JpaRepository<Escandall, Long> {

    public Escandall findByNom(String nom);

    @Query("SELECT e FROM Escandall e WHERE e.usuari = ?1")
    public List<Escandall> findByUsuari(Usuari usuari);

    @Query("SELECT e FROM Escandall e WHERE e.nom LIKE %?1%"
            + " OR e.descripcio LIKE %?1%"
            + " OR e.referencia LIKE %?1%"
            + " OR e.usuari.nom LIKE %?1%"
            + " OR e.data LIKE %?1%")
    public List<Escandall> findByKeyword(String keyword);
}
