package com.uoc.textiller.repository;

import java.util.List;

import com.uoc.textiller.model.Fornitura;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

/**
 * Interfície Repositori JPA de Fornitura
 * @author lrodriguezmos@uoc
 */
@Repository
public interface FornituraRepository extends JpaRepository<Fornitura, Long> {

    public Fornitura findByNom(String nom);

    @Query("SELECT f FROM Fornitura f WHERE f.proveidor.id=?1")
    public List<Fornitura> findByProveidor(Long id);

    @Query("SELECT f FROM Fornitura f WHERE f.nom LIKE %?1%"
            + " OR f.proveidor.nom LIKE %?1%"
            + " OR f.referencia LIKE %?1%"
            + " OR f.descripcio LIKE %?1%")
    public List<Fornitura> findByKeyword(String keyword);
    
}
