package com.uoc.textiller.repository;

import java.util.List;

import com.uoc.textiller.model.Material;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

/**
 * Interfície Repositori JPA de Material
 * @author lrodriguezmos@uoc
 */
public interface MaterialRepository extends JpaRepository<Material, Long> {
    
    public Material findByNom(String nom);

    @Query("SELECT m FROM Material m WHERE m.nom LIKE %?1% OR m.codi LIKE %?1%")
    public List<Material> findByKeyword(String keyword);
}
