package com.uoc.textiller.repository;

import java.util.List;

import com.uoc.textiller.model.Proveidor;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

/**
 * Interfície Repositori JPA de Proveidor
 * @author lrodriguezmos@uoc
 */
@Repository
public interface ProveidorRepository extends JpaRepository<Proveidor, Long> {
    
    public Proveidor findByNom(String nom);

    @Query("SELECT p FROM Proveidor p WHERE p.nom LIKE %?1%"
            + " OR p.descripcio LIKE %?1%"
            + " OR p.localitzacio LIKE %?1%"
            + " OR p.telefon LIKE %?1%"
            + " OR p.email LIKE %?1%")
    public List<Proveidor> findByKeyword(String keyword);
    
}
