package com.uoc.textiller.repository;

import java.util.List;

import com.uoc.textiller.model.Teixit;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

/**
 * Interfície Repositori JPA de Teixit
 * @author lrodriguezmos@uoc
 */
@Repository
public interface TeixitRepository extends JpaRepository<Teixit, Long> {

    public Teixit findByNom(String nom);

    @Query("SELECT t FROM Teixit t WHERE t.proveidor.id=?1")
    public List<Teixit> findByProveidor(Long id);

    @Query("SELECT t FROM Teixit t WHERE t.nom LIKE %?1%"
            + " OR t.proveidor.nom LIKE %?1%"
            + " OR t.referencia LIKE %?1%"
            + " OR t.descripcio LIKE %?1%"
            + " OR t.lligat LIKE %?1%")
    public List<Teixit> findByKeyword(String keyword);
    
}
