package com.uoc.textiller.repository;

import java.util.List;

import com.uoc.textiller.model.Usuari;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

/**
 * Interfície Repositori JPA d'Usuari
 * @author lrodriguezmos@uoc
 */
@Repository
public interface UsuariRepository extends JpaRepository<Usuari, Long> {
    
    public Usuari findByNom(String nom);

    @Query("SELECT u FROM Usuari u WHERE u.nom LIKE %?1%"
            + " OR u.estat LIKE %?1%"
            + " OR u.rol LIKE %?1%")
    public List<Usuari> findByKeyword(String keyword);
    
}
