package com.uoc.textiller.service;

import java.util.List;

import com.uoc.textiller.model.Escandall;
import com.uoc.textiller.model.EscandallFornitura;
import com.uoc.textiller.model.EscandallTeixit;
import com.uoc.textiller.model.EscandallProces;
import com.uoc.textiller.model.Usuari;

import org.springframework.data.domain.Page;

/**
 * Servei per als mètodes d'Escandall
 * @author lrodriguezmos@uoc
 */
public interface EscandallService {
    
    public Escandall findById(Long id);
    public Escandall findByNom(String nom);
    public List<Escandall> getEscandallsList();
    public List<Escandall> getEscandallsUsuariList(Usuari usuari);

    public Escandall save(Escandall escandall);
    public void remove(Long id);

    public boolean existsNom(String nom);
    
    public List<Escandall> findByKeyword(String keyword);
    public Page<Escandall> findPaginated(int pageNo, int pageSize); 

    public Escandall saveTeixit(Escandall escandall, EscandallTeixit escandallTeixit);
    public void removeTeixit(Long id);
    public Escandall saveFornitura(Escandall escandall, EscandallFornitura escandallFornitura);
    public void removeFornitura(Long id);
    public Escandall saveProces(Escandall escandall, EscandallProces escandallProces);
    public void removeProces(Long id);

    public boolean hasTeixit(List<EscandallTeixit> teixitsEscandall, Long id_teixit);
    public boolean hasFornitura(List<EscandallFornitura> fornituresEscandall, Long id_fornitura);
    public boolean hasProces(List<EscandallProces> processosEscandall, Long id_proces);

}
