package com.uoc.textiller.service;

import java.util.List;

import com.uoc.textiller.model.Fornitura;

import org.springframework.data.domain.Page;

/**
 * Servei per als mètodes de Fornitura
 * @author lrodriguezmos@uoc
 */
public interface FornituraService {
    
    public Fornitura findById(Long id);
    public Fornitura findByNom(String nom);
    public List<Fornitura> getFornituresList();
    public List<Fornitura> getFornituresListByProveidor(Long idProveidor);

    public Fornitura save(Fornitura fornitura);
    public void remove(Long id);

    public boolean existsNom(String nom);
    
    public List<Fornitura> findByKeyword(String keyword);
    public Page<Fornitura> findPaginated(int pageNo, int pageSize); 
    
    public boolean hasEscandalls(Long id);
    
}
