package com.uoc.textiller.service;

import java.util.List;

import com.uoc.textiller.model.Material;

import org.springframework.data.domain.Page;

/**
 * Servei per als mètodes de Material
 * @author lrodriguezmos@uoc
 */
public interface MaterialService {
    
    public Material findById(Long id);
    public Material findByNom(String nom);
    public List<Material> getMaterialsList();

    public Material save(Material material);
    public void remove(Long id);

    public boolean existsNom(String nom);

    public List<Material> findByKeyword(String keyword);
    public Page<Material> findPaginated(int pageNo, int pageSize);

    public boolean hasComposicions(Long id);
}
