package com.uoc.textiller.service;

import java.util.List;

import com.uoc.textiller.model.Proveidor;

import org.springframework.data.domain.Page;

/**
 * Servei per als mètodes de Proveidor
 * @author lrodriguezmos@uoc
 */
public interface ProveidorService {
    
    public Proveidor findById(Long id);
    public Proveidor findByNom(String nom);
    public List<Proveidor> getProveidorsList();

    public Proveidor save(Proveidor proveidor);
    public void remove(Long id);

    public boolean existsNom(String nom);
    public boolean hasTeixits(Long id);
    public boolean hasFornitures(Long id);
    
    public List<Proveidor> findByKeyword(String keyword);
    public Page<Proveidor> findPaginated(int pageNo, int pageSize); 
}
