package com.uoc.textiller.service;

import java.util.List;

import com.uoc.textiller.model.Composicio;
import com.uoc.textiller.model.Teixit;

import org.springframework.data.domain.Page;

/**
 * Servei per als mètodes de Teixit
 * @author lrodriguezmos@uoc
 */
public interface TeixitService {
    
    public Teixit findById(Long id);
    public Teixit findByNom(String nom);
    public List<Teixit> getTeixitsList();
    public List<Teixit> getTeixitsListByProveidor(Long idProveidor);

    public Teixit save(Teixit teixit);
    public void remove(Long id);

    public boolean existsNom(String nom);
    
    public List<Teixit> findByKeyword(String keyword);
    public Page<Teixit> findPaginated(int pageNo, int pageSize); 

    
    public Teixit saveComposicio(Teixit teixit, Composicio composicio);
    public void removeComposicio(Long id);

    public boolean hasMaterial(List<Composicio> materialsComposicio, Long id_material);
    public boolean hasEscandalls(Long id);
    
}
