package com.uoc.textiller.service;

import java.util.List;

import com.uoc.textiller.model.Usuari;

import org.springframework.data.domain.Page;

/**
 * Servei per als mètodes d'Usuari
 * @author lrodriguezmos@uoc
 */
public interface UsuariService {
    
    public Usuari findById(Long id);
    public Usuari findByNom(String nom);
    public List<Usuari> getUsuarisList();

    public Usuari save(Usuari usuari);
    public void remove(Long id);

    public boolean existsNom(String nom);
    
    public List<Usuari> findByKeyword(String keyword);
    public Page<Usuari> findPaginated(int pageNo, int pageSize); 
    
    public boolean hasEscandalls(Long id);
}
